[PATCH] osmo-ci[master]: jenkins: add job osmo-gsm-tester_gerrit

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

lynxis lazus gerrit-no-reply at lists.osmocom.org
Mon Mar 5 17:02:20 UTC 2018


jenkins: add job osmo-gsm-tester_gerrit

The job verifies the gerrit patchset.

Change-Id: If661675528059bc8a95d39a6489a5a9381f52677
---
M jobs/osmo-gsm-tester.yml
A jobs/osmo-gsm-tester_gerrit.sh
2 files changed, 63 insertions(+), 1 deletion(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/22/7022/2

diff --git a/jobs/osmo-gsm-tester.yml b/jobs/osmo-gsm-tester.yml
index 41a7ec1..1013ef8 100644
--- a/jobs/osmo-gsm-tester.yml
+++ b/jobs/osmo-gsm-tester.yml
@@ -1,7 +1,6 @@
 ---
 #TODO:
 #  - trigger
-#  - gerrit
 #  - manual-run
 #
 - project:
@@ -100,6 +99,19 @@
           wipe-workspace: false
           skip-tag: true
           basedir: osmo-gsm-tester
+- scm:
+    name: osmo-gsm-tester-gerrit
+    scm:
+      - git:
+          url: ssh://jenkins@gerrit.osmocom.org:29418/osmo-gsm-tester
+          credentials-id: jenkins
+          branches:
+            - $GERRIT_BRANCH
+          wipe-workspace: false
+          skip-tag: true
+          basedir: osmo-gsm-tester
+          clean:  true
+          choosing-strategy: 'gerrit'
 
 - scm:
     name: osmo-gsm-tester-repo-clean
@@ -133,6 +145,7 @@
           node: 'osmo-gsm-tester-rnd'
     jobs:
       - 'osmo-gsm-tester_run-{stage}'
+      - 'osmo-gsm-tester_gerrit'
 
 - builder:
     name: osmo_gsm_copy_artifact
@@ -192,6 +205,36 @@
           default: ""
           description: "pass additional command line options to osmo-gsm-tester.py, e.g. to select specific suites:scenarios. Default: leave empty."
 
+- job:
+    name: 'osmo-gsm-tester_gerrit'
+    defaults: runners
+    triggers:
+      - gerrit:
+          server-name: 'gerrit.osmocom.org'
+          trigger-on:
+            - patchset-created-event:
+                exclude-no-code-change: true
+            - draft-published-event
+          projects:
+            - project-compare-type: 'PLAIN'
+              project-pattern: 'osmo-gsm-tester'
+              branches:
+                - branch-compare-type: 'ANT'
+                  branch-pattern: '**'
+    builders:
+      - shell: |
+          # make sure no bin artifacts from a previous run remain
+          rm -f *.tgz *.md5
+      - osmo_gsm_copy_artifact_all
+      - shell: !include-raw osmo-gsm-tester_gerrit.sh
+    publishers:
+      - archive:
+          artifacts: '*-run.tgz, *-bin.tgz'
+          default-excludes: false
+      - junit:
+          results: 'trial-*/last_run/trial-*.xml'
+          allow-empty-results: true
+
 - job-template:
     name: 'osmo-gsm-tester_run-{stage}'
     defaults: runner
diff --git a/jobs/osmo-gsm-tester_gerrit.sh b/jobs/osmo-gsm-tester_gerrit.sh
new file mode 100644
index 0000000..b07207f
--- /dev/null
+++ b/jobs/osmo-gsm-tester_gerrit.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e -x
+
+# On our hardware, we actually use the example configuration as-is.
+export OSMO_GSM_TESTER_CONF="$PWD/osmo-gsm-tester/example"
+
+# debug: provoke a failure
+#export OSMO_GSM_TESTER_OPTS="-s debug -t fail"
+
+# TMP fix: prod main unit has sierra_2 and _3 instead of _1 and _2
+sed -i "s#/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.3#/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.7/1-1.7.3#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+sed -i "s#/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.2#/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.7/1-1.7.2#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+sed -i "s#901700000009031#901700000015252#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+sed -i "s#901700000009029#901700000015253#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+sed -i "s#80A37E6FDEA931EAC92FFA5F671EFEAD#EBAB63D06C3F546A16C977CB40E57C68#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+sed -i "s#00969E283349D354A8239E877F2E0866#EBD2B5F6CF3374106D0A66C11F922001#g" "$OSMO_GSM_TESTER_CONF/resources.conf"
+
+export OSMO_GSM_TESTER_OPTS="-s sms:sysmo -s aoip_sms:sysmo -s gprs:sysmo"
+./osmo-gsm-tester/contrib/jenkins-make-check-and-run.sh

-- 
To view, visit https://gerrit.osmocom.org/7022
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: If661675528059bc8a95d39a6489a5a9381f52677
Gerrit-PatchSet: 2
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: lynxis lazus <lynxis at fe80.eu>
Gerrit-Reviewer: Pau Espin Pedrol <pespin at sysmocom.de>
Gerrit-Reviewer: lynxis lazus <lynxis at fe80.eu>



More information about the gerrit-log mailing list